exports.decodeBase64Image = function (dataString) {
    var mime = require('mime');
    var matches = dataString.match(/^data:([A-Za-z-+\/]+);base64,(.+)$/),
        result  = {};

    if (matches.length !== 3) {
        return new Error('Invalid input string');
    }

    result.type = matches[1];
    result.fileExtension = mime.extension(matches[1]);
    result.data = new Buffer(matches[2], 'base64');
    

    return result;
};