var mubsub = require('mubsub');
module.exports = function(options, errcb){
    var client  = mubsub(options.MONGO_URL),
        channel = client.channel(options.CHANNEL_NAME); 
    
    client.on('error', errcb);
    channel.on('error',errcb);

    return {
        publish: function(topic, details){
            channel.publish(topic, details);
        },
        subscribe: function(topic, cb){
            channel.subscribe(topic, cb);
        }
    };
}